Issue 1062 setCooked: failed to set buffering (2.0.2+)

Title setCooked: failed to set buffering (2.0.2+)
Priority bug Status resolved
Milestone Resolved in
Superseder Nosy List darcs-devel, dmitry.kurochkin, eivuokko, jaredj, kowey, thorkilnaur, wglozer, zooko
Assigned To
Topics Windows

Created on 2008-09-07.09:15:44 by kowey, last changed 2009-08-27.14:19:13 by admin.

msg5923 (view) Author: kowey Date: 2008-09-07.09:15:39
In the amend-cancelling.sh script
msg6006 (view) Author: kowey Date: 2008-09-13.21:19:18
I am willing to mark this as wont-fix because it passes on MSYS
msg6007 (view) Author: zooko Date: 2008-09-14.04:23:39
Instead of marking it "wont-fix", could we put it a different category where I
can still find it as an open issue?  I would like to fix it, both because it
might be useful to me to have this issue fixed when invoking darcs from bash.exe
inside rxvt.exe, and also because it might turn out to be a problem that can
turn out to have effects in other use cases.
msg6008 (view) Author: kowey Date: 2008-09-14.06:58:35
Actually, Zooko is right.  It's not worth trying to fix this for 2.0.3, but it
would be good to know what's causing this.
msg6084 (view) Author: droundy Date: 2008-09-22.12:22:17
Why not just catch and ignore exceptions thrown by setCooked? It seems  like an
eminently ignorable error to me.
msg6298 (view) Author: kowey Date: 2008-10-10.12:48:40
Ian thinks the following GHC ticket may be related:
  isatty behaves unexpectedly on mingw
msg6299 (view) Author: kowey Date: 2008-10-10.15:59:30
The following patch updated the status of issue1062 to be resolved:

* resolve issue1062: ignore setCooked and setEcho errors. 
Ignore-this: 2f8c8710faefdcdb6b224244995a00af
The issue in question is only about setCooked.
I presume setEcho can similarly fail.
Date User Action Args
2008-09-07 09:15:44koweycreate
2008-09-07 09:33:44koweysetnosy: kowey, wglozer, eivuokko, dagit, jaredj
title: setCooked => failed to set buffering (2.0.2+) -> setCooked: failed to set buffering (2.0.2+)
2008-09-13 21:19:20koweysetstatus: unread -> wont-fix
nosy: + zooko
messages: + msg6006
2008-09-14 04:23:41zookosetnosy: kowey, wglozer, zooko, eivuokko, dagit, jaredj
messages: + msg6007
2008-09-14 06:58:39koweysetstatus: wont-fix -> unknown
nosy: kowey, wglozer, zooko, eivuokko, dagit, jaredj
topic: - Target-2.1
messages: + msg6008
2008-09-22 12:22:19droundysetnosy: + droundy, simon
messages: + msg6084
2008-10-10 12:48:42koweysetnosy: + dmitry.kurochkin, igloo, thorkilnaur
messages: + msg6298
2008-10-10 15:59:32koweysetstatus: unknown -> resolved-in-unstable
nosy: droundy, kowey, wglozer, zooko, eivuokko, dagit, igloo, simon, thorkilnaur, jaredj, dmitry.kurochkin
messages: + msg6299
2009-04-22 03:34:54twbsetstatus: resolved-in-unstable -> resolved
nosy: droundy, kowey, wglozer, zooko, eivuokko, dagit, igloo, simon, thorkilnaur, jaredj, dmitry.kurochkin
2009-08-06 18:00:25adminsetnosy: + markstos, jast, Serware, darcs-devel, mornfall, tommy, beschmi, - droundy, wglozer, eivuokko, igloo, jaredj
2009-08-06 21:12:24adminsetnosy: - beschmi
2009-08-10 21:48:19adminsetnosy: + wglozer, eivuokko, igloo, jaredj, - tommy, markstos, darcs-devel, jast, Serware, mornfall
2009-08-10 23:45:02adminsetnosy: - dagit
2009-08-25 17:18:59adminsetnosy: + darcs-devel, - igloo
2009-08-25 17:25:10adminsetnosy: - simon
2009-08-27 14:19:13adminsetnosy: kowey, wglozer, darcs-devel, zooko, eivuokko, thorkilnaur, jaredj, dmitry.kurochkin